*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: inherit; }

html {
  box-sizing: border-box;
  font-size: 62.5%;
  font-family: "Roboto", sans-serif; }

.container {
  min-height: 100vh;
  max-width: 100vw;
  background-image: linear-gradient(to bottom right, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.4)), url(../images/Clouds.jpg);
  background-size: cover;
  display: flex;
  justify-content: center;
  align-items: center; }

.column__box {
  display: grid;
  grid-template-rows: repeat(3, minmax(min-content, 100px)) minmax(30px, auto) minmax(20px, auto);
  justify-items: center;
  height: 100%;
  width: 60%;
  padding: 5rem 0rem 5rem 0rem; }
  @media (max-width: 1200px) {
    .column__box {
      width: 90%;
      font-size: 80%; } }
  .column__box--1 {
    width: 50%; }
    @media (max-width: 900px) {
      .column__box--1 {
        width: 80%; } }
  .column__box--2 {
    display: flex;
    flex-direction: column;
    margin-right: 4rem; }
  .column__box--3 {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    color: white;
    width: 100%; }
  .column__box--4 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    width: 100%;
    align-self: center; }
  .column__box--5 {
    display: flex;
    font-size: 2rem;
    color: white;
    justify-content: flex-start;
    align-self: flex-end;
    width: 100%;
    transform: translateY(-0.2rem);
    margin-left: 2rem; }
  .column__box--6 {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    justify-content: space-around;
    align-items: space-around; }
  .column__box--6 > * {
    margin: 0.2rem; }
  .column__box--4 > * {
    margin: 1rem; }

.search {
  background-color: rgba(255, 255, 255, 0.7);
  border-radius: 10rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 1rem 1rem 1rem 2rem; }
  .search__field {
    border: none;
    font-size: 1.5rem;
    background: none;
    opacity: 0.8;
    width: 100%;
    height: 100%; }
  .search__field:focus {
    outline: none; }
  .search__btn {
    width: 3rem;
    height: 3rem;
    border: none;
    background: none; }
  .search__icon {
    width: 100%;
    height: 100%;
    fill: grey; }

.home {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  color: white;
  font-size: 2rem; }
  .home__icon {
    width: 3rem;
    height: 3rem;
    fill: white;
    margin-right: 1rem;
    margin-bottom: 1rem; }
  .home__time {
    color: white;
    font-size: 1.5rem;
    align-self: column; }

.image_container {
  width: 10rem;
  height: 10rem;
  overflow: hidden;
  margin-right: 2rem;
  display: flex;
  align-items: center;
  justify-content: center; }

.message__icon {
  width: 3rem;
  height: 3rem;
  fill: white; }

.cloud {
  width: 15rem;
  height: 15rem; }

.todayTemp {
  font-size: 10rem; }

.degree {
  font-size: 4rem;
  align-self: flex-start; }

.unit {
  font-size: 3.5rem;
  margin: 1rem; }

.weather__condition {
  font-size: 2.5rem;
  align-self: flex-start;
  margin: 2rem 2rem 0rem 2rem; }

.message__icon {
  align-self: flex-start;
  margin-top: 2rem; }

.feels {
  display: flex; }
  .feels__icon {
    width: 3rem;
    height: 3rem;
    fill: lightgray;
    opacity: 0.7;
    margin-right: 0.75rem; }
  .feels__like {
    font-size: 1.75rem;
    color: white; }

.day {
  width: 15rem;
  height: 18rem;
  font-size: 2rem;
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  background-color: rgba(255, 255, 255, 0.3);
  border-radius: 1rem;
  padding: 0rem 0rem 0rem 0rem; }

.today__cloud {
  display: flex;
  align-items: center; }

.cloud__image {
  width: 4rem;
  height: 4rem;
  overflow: hidden; }
  .cloud__image-1 {
    width: 8rem;
    height: 8rem;
    transform: translateX(-2rem) translateY(-1rem); }

.dew {
  fill: white;
  height: 2rem;
  width: 2rem; }

.temp {
  font-size: 3rem; }
  .temp__max {
    margin-bottom: 1rem;
    display: flex;
    align-items: flex-start; }
